import 'dart:io';

import '../interface/agent_interface.dart';
import 'http_client.dart';

class DynatraceHttpOverrides extends HttpOverrides {
  Dynatrace _dynatrace;
  DynatraceHttpOverrides(this._dynatrace);

  @override
  HttpClient createHttpClient(SecurityContext context) {
    return DynatraceHttpClient(super.createHttpClient(context), _dynatrace);
  }
}
